import { httpApp } from "@/plugins/axiosIndex";
import { pickBy } from "lodash-es";
import { object2QueryString } from "@/utils/utils";

export function searchExams({
  role,
  loginName = "",
  name = "",
  enable = "",
  pageNumber = 1,
  pageSize = 10,
}) {
  const data = pickBy(
    { role, loginName, name, enable, pageNumber, pageSize },
    (v) => v !== ""
  );
  return httpApp.post("/api/admin/exam/query?" + object2QueryString(data));
}

export function toggleEnableExam({ id, enable }) {
  return httpApp.post("/api/admin/exam/toggle", { id, enable });
}
